package com.flossom.common.core.domain.ret;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.web.domain.BaseEntity;

import java.time.LocalTime;
import java.util.Date;

/**
 * 用户绑定仪器信息
 */
public class WxBindingInstrumentInfo extends BaseEntity {

    /**
     * 仪器ID
     */
    private Long instrumentId;

    /**
     * 仪器名称
     */
    private String instrumentName;

    /**
     * 仪器：1、普通仪器 2、iot仪器
     */
    private Integer instrumentType;

    /**
     * iot仪器特有：仪器型号
     */
    private String instrumentModel;

    /**
     * 仪器封面（图片地址）
     */
    private String instrumentBanner;

    /**
     * 仪器logo图（图片地址）
     */
    private String instrumentLogo;

    /**
     * 序列号位置图片（图片地址）
     */
    private String instrumentSerialImageLocation;

    /**
     * 序列号
     */
    private String bindingSerial;


    /**
     * 序列号图片
     */
    private String bindingSerialImage;
    /**
     * 保修日期
     */
    private Long instrumentGuarantee;


    /**
     * 护理时长
     */
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalTime instrumentNursingTime;

    /**
     * iot版本
     */
    private String instrumentIotVersion;

    /**
     * iot升级数据文件
     */
    private String instrumentIotUpgradeData;

    /**
     * 是否开启扫机身码：0、关闭 1、开启
     */
    private Integer instrumentIsScanCode;

    /**
     * 是否支持购买：0、不支持 1、支持
     */
    private Integer instrumentIsPurchase;

    /**
     * 绑定时间
     */
    private Date bindingDateTime;

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public Integer getInstrumentType() {
        return instrumentType;
    }

    public void setInstrumentType(Integer instrumentType) {
        this.instrumentType = instrumentType;
    }

    public String getInstrumentModel() {
        return instrumentModel;
    }

    public void setInstrumentModel(String instrumentModel) {
        this.instrumentModel = instrumentModel;
    }

    public String getInstrumentBanner() {
        return instrumentBanner;
    }

    public void setInstrumentBanner(String instrumentBanner) {
        this.instrumentBanner = instrumentBanner;
    }

    public String getInstrumentLogo() {
        return instrumentLogo;
    }

    public void setInstrumentLogo(String instrumentLogo) {
        this.instrumentLogo = instrumentLogo;
    }

    public String getInstrumentSerialImageLocation() {
        return instrumentSerialImageLocation;
    }

    public void setInstrumentSerialImageLocation(String instrumentSerialImageLocation) {
        this.instrumentSerialImageLocation = instrumentSerialImageLocation;
    }

    public String getBindingSerial() {
        return bindingSerial;
    }

    public void setBindingSerial(String bindingSerial) {
        this.bindingSerial = bindingSerial;
    }

    public String getBindingSerialImage() {
        return bindingSerialImage;
    }

    public void setBindingSerialImage(String bindingSerialImage) {
        this.bindingSerialImage = bindingSerialImage;
    }

    public Long getInstrumentGuarantee() {
        return instrumentGuarantee;
    }

    public void setInstrumentGuarantee(Long instrumentGuarantee) {
        this.instrumentGuarantee = instrumentGuarantee;
    }

    public LocalTime getInstrumentNursingTime() {
        return instrumentNursingTime;
    }

    public void setInstrumentNursingTime(LocalTime instrumentNursingTime) {
        this.instrumentNursingTime = instrumentNursingTime;
    }

    public String getInstrumentIotVersion() {
        return instrumentIotVersion;
    }

    public void setInstrumentIotVersion(String instrumentIotVersion) {
        this.instrumentIotVersion = instrumentIotVersion;
    }

    public String getInstrumentIotUpgradeData() {
        return instrumentIotUpgradeData;
    }

    public void setInstrumentIotUpgradeData(String instrumentIotUpgradeData) {
        this.instrumentIotUpgradeData = instrumentIotUpgradeData;
    }

    public Integer getInstrumentIsScanCode() {
        return instrumentIsScanCode;
    }

    public void setInstrumentIsScanCode(Integer instrumentIsScanCode) {
        this.instrumentIsScanCode = instrumentIsScanCode;
    }

    public Integer getInstrumentIsPurchase() {
        return instrumentIsPurchase;
    }

    public void setInstrumentIsPurchase(Integer instrumentIsPurchase) {
        this.instrumentIsPurchase = instrumentIsPurchase;
    }

    public Date getBindingDateTime() {
        return bindingDateTime;
    }

    public void setBindingDateTime(Date bindingDateTime) {
        this.bindingDateTime = bindingDateTime;
    }
}
